0

I am running postgres 9.3.5 and postgis 2.1.7 on Ubuntu Server 14.10. I am trying to install pgrouting, but having no luck.

1) I tried the following based in the official workshop documentation:

sudo apt-add-repository -y ppa:ubuntugis/ppa
sudo apt-add-repository -y ppa:georepublic/pgrouting
sudo apt-get update
sudo apt-get install postgresql-9.3-pgrouting

Then I get this error:

E: Unable to locate package postgresql-9.3-pgrouting
E: Couldn't find any package by regex 'postgresql-9.3-pgrouting'

2) I tried using the UbuntuGIS repo as well, but had no luck.

Any idea how to install pgrouting on my setup? I suspect that this is a Utopic Unicorn issue, but not sure.

  • This documentation you linked doesn't seem to be working properly? – whyzar Jan 22 '16 at 21:35
  • Try these instructions - but they are for v9.4 trac.osgeo.org/postgis/wiki/UsersWikiPostGIS21UbuntuPGSQL93Apt – DPSSpatial Jan 22 '16 at 21:41
  • Link corrected. Thanks for noticing. The osgeo doc seems to offer the same commands as the workshop link I provided. – Cliff Jan 23 '16 at 4:04
  • Ubuntu 14.10 support has ended, see fridge.ubuntu.com/2015/07/03/… . Launchpad does not allow to build (upload) packages for unsupported releases, so pgRouting packages for 14.10 are not maintained anymore either. – dkastl Jan 23 '16 at 20:20

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.